---
title: "angledLineThatIntersects"
excerpt: "Draw an angled line from the current origin, constructing a line segment"
layout: manual
---

Draw an angled line from the current origin, constructing a line segment

such that the newly created line intersects the desired target line segment.

```js
angledLineThatIntersects(data: AngledLineThatIntersectsData, sketch: Sketch, tag?: TagDeclarator) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `data` | [`AngledLineThatIntersectsData`](/docs/kcl/types/AngledLineThatIntersectsData) | Data for drawing an angled line that intersects with a given line. | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |
| `tag` | [`TagDeclarator`](/docs/kcl/types#tag-declaration) |  | No |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(endAbsolute = [5, 10])
  |> line(endAbsolute = [-10, 10], tag = $lineToIntersect)
  |> line(endAbsolute = [0, 20])
  |> angledLineThatIntersects({
       angle = 80,
       intersectTag = lineToIntersect,
       offset = 10
     }, %)
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of angledLineThatIntersects 0](data:image/png;base64,[encoded data, 66048 characters])


